%define pythonver 2.4
%define pythonsitedir %{_libdir}/python%{pythonver}/site-packages
%define pythonpkg python
%define minor .2

%define qtver 3.3.5
%define qtpkg qt

%if "%{pythonver}" == "2.4"
%define pythonprog /usr/bin/python2.4
%else
%define pythonprog /usr/bin/python
%endif

Summary: SIP - Python/C++ Bindings Generator
Name: sip
Version: 4.3.1
Release: 1.2.1
License: GPL
Group: Development/Tools
Url: http://www.riverbankcomputing.co.uk/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: http://www.riverbankcomputing.co.uk/download/sip/%{name}-%{version}.tar.gz

BuildPrereq: %{pythonpkg}-devel >= %{pythonver}
BuildPrereq: %{qtpkg}-devel >= %{qtver}
BuildPrereq: sed

Requires: %{pythonpkg} >= %{pythonver}

%description
SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python classes.  SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings.  SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries.  However, SIP can be used to generate Python bindings for any C++
class library.

%package devel
Summary: Files needed to generate Python bindings for any C++ class library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python-devel 

%description devel
This package contains files needed to generate Python bindings for any C++
classes library.

%prep

%setup -q

%build
QTDIR="" && source /etc/profile.d/qt.sh

%pythonprog configure.py -l qt-mt -d %{pythonsitedir}

make %{?_smp_mflags} 

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE NEWS README THANKS
%{pythonsitedir}/*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/python%{pythonver}/*

%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4.3.1-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 4.3.1-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Sep 12 2005 Than Ngo <than@redhat.com> 4.3.1-1
- update to 4.3.1

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 4.2.1-1
- 4.2.1

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 4.2-1
- 4.2

* Thu Nov 11 2004 Than Ngo <than@redhat.com> 4.1-2
- rebuild against python 2.4

* Fri Sep 24 2004 Than Ngo <than@redhat.com> 4.1-1
- update to 4.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 27 2004 Than Ngo <than@redhat.com> 3.10.2-1
- update to 3.10.2

* Fri Mar 12 2004 Than Ngo <than@redhat.com> 3.10.1-1
- update to 3.10.1

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.10-6 
- fix Requires issue, bug #74004

* Thu Feb 19 2004 Than Ngo <than@redhat.com> 3.10-5
- fix lib64 issue

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 3.10-3
- use new method of building SIP

* Wed Feb 11 2004 Than Ngo <than@redhat.com> 3.10-2
- rebuilt against qt 3.3.0

* Wed Feb 04 2004 Than Ngo <than@redhat.com> 3.10-1
- 3.10

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.8-2
- rebuild against python 2.3 and Qt 3.2.3

* Fri Sep 26 2003 Harald Hoyer <harald@redhat.de> 3.8-1
- 3.8

* Mon Jul 21 2003 Than Ngo <than@redhat.com> 3.7-1
- 3.7

* Tue Jun 24 2003 Than Ngo <than@redhat.com> 3.6-3
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May  6 2003 Than Ngo <than@redhat.com> 3.6-1.1
- 3.6

* Tue Mar  4 2003 Than Ngo <than@redhat.com> 3.5.1-0.20030301.0
- snapshot 20030301, support qt 3.1.2

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-1
- 3.5 release

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.5-0.20021114.1
- update RC, which supports qt 3.1.0
- fix dependency problem with python

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.4-4
- update to 3.4

* Wed Aug 28 2002 Than Ngo <than@redhat.com> 3.3.2-4
- rpath issue

* Mon Aug 26 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild against new qt

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Mon Jul  1 2002 Than Ngo <than@redhat.com> 3.2.4-4
- move python modul libsip.so into sip (bug #67640)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to release 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than  Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Tue Mar  07 2002 Than Ngo <than@redhat.com> 3.0-6
- rebuild against qt3

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-5
- build against python 1.5 and qt 2.3.2

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan 08 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild to get rid of libGL

* Mon Nov 19 2001 Than Ngo <than@redhat.com> 3.0-2
- build against qt3

* Sun Nov 18 2001 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0

* Sun Nov 11 2001 Than Ngo <than@redhat.com> 3.0-0.20011110.1
- snapshot

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- requires python 2
- Updated URL

* Mon Jul 23 2001 Than Ngo <than@redhat.com>
- fix build dependency (bug #49698)

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Make devel subpackage depend on main

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- fix to use python1.5

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3 release

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- rebuild in new envoroment

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuilt against qt-2.2.3
- update Url

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- don't apply the patch, since the gcc-2.96-62 works correct

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- add ldconfig in %post, %postun and Prereq (Bug #15136)

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version

* Mon Jul 25 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr to both packages

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- fix to built withe gcc-2.96

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- Initial packaging as RPM for powertools-6.2
